
#include <avr/io.h>
#include <stdio.h>
#include "I2C.h"

#define Device_Write_address	0xD0			
#define Device_Read_address		0xD1			
#define hour_12_AM				0x40

//functie care scrie PE RTC
//secundele la locatia 00
//minutele la 01
//ora la 02
void RTC_Clock_Write(char hour, char minute, char second, char AMPM)
{
	hour |= AMPM;
	I2C_Start(Device_Write_address);			
	I2C_Write(0);								
	I2C_Write(second);							
	I2C_Write(minute);							
	I2C_Write(hour);							
	I2C_Stop();									
}

//functie care scrie pe RTC calendar
//ziua la 03
//data la 04
//luna la 05
//anul la 06
void RTC_Calendar_Write(char day, char date, char month, char year)	
{
	I2C_Start(Device_Write_address);			
	I2C_Write(3);								
	I2C_Write(day);							
	I2C_Write(date);							
	I2C_Write(month);							
	I2C_Write(year);							
	I2C_Stop();									
}

int main(void)
{
	I2C_Init();
	RTC_Clock_Write(0x12, 0x22, 0x30, hour_12_AM);
	RTC_Calendar_Write(0x06, 0x24, 0x05, 0x19);
	while(1);
}
